#ifndef SYMPLEX_HPP

#include "kSet.hpp"
#include "QMatrix.h"
#include "QVector.h"

class Symplex{
private:
  int dim,rows;
  kSet state;
  // rationals are bit of overkill...
  QMatrix mat;
  void updateMatrix();
public:
  Symplex(int d, int k) : dim(d),rows(k), state(d,k-1), mat(k,d) {

    updateMatrix();
  }

  bool next();
  QVector &operator [] (int i) { return mat[i]; };
};
#endif
